%define srcName tktheme 

Name: tcl-%srcName
Version: 2.3
Release: alt5

Summary: TkTheme a theme engine for Tcl/Tk aplication.
Summary(ru_RU.KOI8-R):     ,    Tcl/Tk .
License: GPL
Group: System/Libraries
URL: http://www.xmission.com/~georgeps/Tk_Theme/

Source: %srcName.tar.gz

BuildRequires: rpm-build >= 4.0.4 tcl-devel >= 8.4.0 tk-devel >= 8.4.0 xpm-devel

#BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7

%description
TkTheme a theme engine for Tcl/Tk aplication.

%description -l ru_RU.KOI8-R
    ,    Tcl/Tk .

%prep
%setup -q -n %srcName
#mkdir -p %buildroot

%build

tclsh configure

%make_build

make

%install
mkdir -p %buildroot%_tcldatadir/%srcName%version
mkdir -p %buildroot%_tcldatadir/%srcName%version/demo
mkdir -p %buildroot%_tcllibdir/

install -p -m755 theme.so %buildroot%_tcllibdir/libtktheme.so
install -p -m644 pkgIndex.tcl %buildroot%_tcldatadir/%srcName%version/
install -p -m755 extension_test.tcl %buildroot%_tcldatadir/%srcName%version/demo/
install -p -m644 theme:menu.tcl %buildroot%_tcldatadir/%srcName%version/demo/
install -p -m755 kdesystray.tcl %buildroot%_tcldatadir/%srcName%version/demo/
install -p -m644 main.tcl %buildroot%_tcldatadir/%srcName%version/demo/
install -p -m644 *.xpm %buildroot%_tcldatadir/%srcName%version/demo/
install -p -m644 *.gif %buildroot%_tcldatadir/%srcName%version/demo/

%files
%_tcldatadir/%srcName%version/
%_tcllibdir/libtktheme.so

%doc Changes LICENSE README TODO 

%changelog
* Thu Jul 15 2004 Sergey Kalinin <banzaj@altlinux.ru> 2.3-alt5
- theme.so change name on libtktheme.so 
- changes location *.so file from _tcldatadir to _tcllibdir
- correct demo files 

* Wed May 19 2004 Sergey Kalinin <banzaj@altlinux.ru> 2.3-alt4
- xpm-devel require added

* Mon May 16 2004 Sergey Kalinin <banzaj@altlinux.ru> 2.3-alt3
- Requires fixed
- SPEC file changes - Summary fixed

* Fri Apr 30 2004 Sergey Kalinin <banzaj@altlinux.ru> 2.3-alt1
- initial release
